Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 824)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 825)
@@ -735,296 +961,9 @@
        ENDDO
 
-       ELSE
-
-       DO  i = nxl, nxr
-          DO  j = nys, nyn
-             DO  k = nzb+1, nzt
-!
-!--             Collision requires at least two particles in the box
-                IF ( prt_count(k,j,i) > 1 )  THEN
-!
-!--                First, sort particles within the gridbox by their size,
-!--                using Shell's method (see Numerical Recipes)
-!--                NOTE: In case of using particle tails, the re-sorting of
-!--                ----  tails would have to be included here!
-                   psi = prt_start_index(k,j,i) - 1
-                   inc = 1
-                   DO WHILE ( inc <= prt_count(k,j,i) )
-                      inc = 3 * inc + 1
-                   ENDDO
-
-                   DO WHILE ( inc > 1 )
-                      inc = inc / 3
-                      DO  is = inc+1, prt_count(k,j,i)
-                         tmp_particle = particles(psi+is)
-                         js = is
-                         DO WHILE ( particles(psi+js-inc)%radius >             &
-                                    tmp_particle%radius )
-                            particles(psi+js) = particles(psi+js-inc)
-                            js = js - inc
-                            IF ( js <= inc )  EXIT
-                         ENDDO
-                         particles(psi+js) = tmp_particle
-                      ENDDO
-                   ENDDO
-
-!
-!--                Calculate the mean radius of all those particles which
-!--                are of smaller size than the current particle
-!--                and use this radius for calculating the collision efficiency
-                   psi = prt_start_index(k,j,i)
-
-                   DO  n = psi+prt_count(k,j,i)-1, psi+1, -1
-                      sl_r3 = 0.0
-                      sl_r4 = 0.0
-
-                      DO is = n-1, psi, -1
-                         IF ( particles(is)%radius < particles(n)%radius ) THEN
-                            sl_r3 = sl_r3 + particles(is)%weight_factor        &
-                                          *( particles(is)%radius**3 )
-                            sl_r4 = sl_r4 + particles(is)%weight_factor        &
-                                          *( particles(is)%radius**4 )
-                         ENDIF
-                      ENDDO
-
-                      IF ( ( sl_r3 ) > 0.0 )  THEN
-                         mean_r = ( sl_r4 ) / ( sl_r3 )
-
-                         CALL collision_efficiency( mean_r,                    &
-                                                    particles(n)%radius,       &
-                                                    effective_coll_efficiency )
-
-                      ELSE
-                         effective_coll_efficiency = 0.0
-                      ENDIF
-
-                      IF ( effective_coll_efficiency > 1.0  .OR.               &
-                           effective_coll_efficiency < 0.0 )                   &
-                      THEN
-                         WRITE( message_string, * )  'collision_efficiency ' , &
-                                   'out of range:' ,effective_coll_efficiency
-                         CALL message( 'advec_particles', 'PA0145', 2, 2, -1,  &
-                                       6, 1 )
-                      ENDIF
-
-!
-!--                   Interpolation of ...
-                      ii = particles(n)%x * ddx
-                      jj = particles(n)%y * ddy
-                      kk = ( particles(n)%z + 0.5 * dz ) / dz
-
-                      x  = particles(n)%x - ii * dx
-                      y  = particles(n)%y - jj * dy
-                      aa = x**2          + y**2
-                      bb = ( dx - x )**2 + y**2
-                      cc = x**2          + ( dy - y )**2
-                      dd = ( dx - x )**2 + ( dy - y )**2
-                      gg = aa + bb + cc + dd
-
-                      ql_int_l = ( ( gg-aa ) * ql(kk,jj,ii)   + ( gg-bb ) *    &
-                                                              ql(kk,jj,ii+1)   &
-                                 + ( gg-cc ) * ql(kk,jj+1,ii) + ( gg-dd ) *    &
-                                                              ql(kk,jj+1,ii+1) &
-                                 ) / ( 3.0 * gg )
-
-                      ql_int_u = ( ( gg-aa ) * ql(kk+1,jj,ii)   + ( gg-bb ) *  &
-                                                            ql(kk+1,jj,ii+1)   &
-                                 + ( gg-cc ) * ql(kk+1,jj+1,ii) + ( gg-dd ) *  &
-                                                            ql(kk+1,jj+1,ii+1) &
-                                 ) / ( 3.0 * gg )
-
-                      ql_int = ql_int_l + ( particles(n)%z - zu(kk) ) / dz *   &
-                                          ( ql_int_u - ql_int_l )
-
-!
-!--                   Interpolate u velocity-component
-                      ii = ( particles(n)%x + 0.5 * dx ) * ddx
-                      jj =   particles(n)%y * ddy
-                      kk = ( particles(n)%z + 0.5 * dz ) / dz  ! only if eq.dist
-
-                      IF ( ( particles(n)%z - zu(kk) ) > ( 0.5*dz ) )  kk = kk+1
-
-                      x  = particles(n)%x + ( 0.5 - ii ) * dx
-                      y  = particles(n)%y - jj * dy
-                      aa = x**2          + y**2
-                      bb = ( dx - x )**2 + y**2
-                      cc = x**2          + ( dy - y )**2
-                      dd = ( dx - x )**2 + ( dy - y )**2
-                      gg = aa + bb + cc + dd
-
-                      u_int_l = ( ( gg-aa ) * u(kk,jj,ii)   + ( gg-bb ) *      &
-                                                              u(kk,jj,ii+1)    &
-                                + ( gg-cc ) * u(kk,jj+1,ii) + ( gg-dd ) *      &
-                                                              u(kk,jj+1,ii+1)  &
-                                ) / ( 3.0 * gg ) - u_gtrans
-                      IF ( kk+1 == nzt+1 )  THEN
-                         u_int = u_int_l
-                      ELSE
-                         u_int_u = ( ( gg-aa ) * u(kk+1,jj,ii)   + ( gg-bb ) * &
-                                                             u(kk+1,jj,ii+1)   &
-                                   + ( gg-cc ) * u(kk+1,jj+1,ii) + ( gg-dd ) * &
-                                                             u(kk+1,jj+1,ii+1) &
-                                   ) / ( 3.0 * gg ) - u_gtrans
-                         u_int = u_int_l + ( particles(n)%z - zu(kk) ) / dz *  &
-                                           ( u_int_u - u_int_l )
-                      ENDIF
-
-!
-!--                   Same procedure for interpolation of the v velocity-compo-
-!--                   nent (adopt index k from u velocity-component)
-                      ii =   particles(n)%x * ddx
-                      jj = ( particles(n)%y + 0.5 * dy ) * ddy
-
-                      x  = particles(n)%x - ii * dx
-                      y  = particles(n)%y + ( 0.5 - jj ) * dy
-                      aa = x**2          + y**2
-                      bb = ( dx - x )**2 + y**2
-                      cc = x**2          + ( dy - y )**2
-                      dd = ( dx - x )**2 + ( dy - y )**2
-                      gg = aa + bb + cc + dd
-
-                      v_int_l = ( ( gg-aa ) * v(kk,jj,ii)   + ( gg-bb ) *      &
-                                                               v(kk,jj,ii+1)   &
-                                + ( gg-cc ) * v(kk,jj+1,ii) + ( gg-dd ) *      &
-                                                               v(kk,jj+1,ii+1) &
-                                ) / ( 3.0 * gg ) - v_gtrans
-                      IF ( kk+1 == nzt+1 )  THEN
-                         v_int = v_int_l
-                      ELSE
-                         v_int_u = ( ( gg-aa ) * v(kk+1,jj,ii)   + ( gg-bb ) * &
-                                                               v(kk+1,jj,ii+1) &
-                                   + ( gg-cc ) * v(kk+1,jj+1,ii) + ( gg-dd ) * &
-                                                             v(kk+1,jj+1,ii+1) &
-                                ) / ( 3.0 * gg ) - v_gtrans
-                         v_int = v_int_l + ( particles(n)%z - zu(kk) ) / dz * &
-                                           ( v_int_u - v_int_l )
-                      ENDIF
-
-!
-!--                   Same procedure for interpolation of the w velocity-compo-
-!--                   nent (adopt index i from v velocity-component)
-                      jj = particles(n)%y * ddy
-                      kk = particles(n)%z / dz
-
-                      x  = particles(n)%x - ii * dx
-                      y  = particles(n)%y - jj * dy
-                      aa = x**2          + y**2
-                      bb = ( dx - x )**2 + y**2
-                      cc = x**2          + ( dy - y )**2
-                      dd = ( dx - x )**2 + ( dy - y )**2
-                      gg = aa + bb + cc + dd
-
-                      w_int_l = ( ( gg-aa ) * w(kk,jj,ii)   + ( gg-bb ) *      &
-                                                                 w(kk,jj,ii+1) &
-                                + ( gg-cc ) * w(kk,jj+1,ii) + ( gg-dd ) *      &
-                                                               w(kk,jj+1,ii+1) &
-                                ) / ( 3.0 * gg )
-                      IF ( kk+1 == nzt+1 )  THEN
-                         w_int = w_int_l
-                      ELSE
-                         w_int_u = ( ( gg-aa ) * w(kk+1,jj,ii)   + ( gg-bb ) * &
-                                                               w(kk+1,jj,ii+1) &
-                                   + ( gg-cc ) * w(kk+1,jj+1,ii) + ( gg-dd ) * &
-                                                             w(kk+1,jj+1,ii+1) &
-                                   ) / ( 3.0 * gg )
-                         w_int = w_int_l + ( particles(n)%z - zw(kk) ) / dz * &
-                                           ( w_int_u - w_int_l )
-                      ENDIF
-
-!
-!--                Change in radius due to collision
-                      delta_r = effective_coll_efficiency / 3.0                &
-                                * pi * sl_r3 * ddx * ddy / dz                  &
-                                * SQRT( ( u_int - particles(n)%speed_x )**2    &
-                                      + ( v_int - particles(n)%speed_y )**2    &
-                                      + ( w_int - particles(n)%speed_z )**2    &
-                                      ) * dt_3d
-!
-!--                Change in volume due to collision
-                      delta_v = particles(n)%weight_factor                     &
-                                * ( ( particles(n)%radius + delta_r )**3       &
-                                    - particles(n)%radius**3 )
-
-!
-!--                Check if collected particles provide enough LWC for volume
-!--                change of collector particle
-                      IF ( delta_v >= sl_r3 .and. sl_r3 > 0.0 ) THEN
-
-                         delta_r = ( ( sl_r3/particles(n)%weight_factor )      &
-                                     + particles(n)%radius**3 )**( 1./3. )     &
-                                     - particles(n)%radius
-
-                         DO is = n-1, psi, -1
-                            IF ( particles(is)%radius < particles(n)%radius )  &
-                            THEN
-                                 particles(is)%weight_factor = 0.0
-                                 particle_mask(is)  = .FALSE.
-                                 deleted_particles = deleted_particles + 1
-                            ENDIF
-                         ENDDO
-
-                      ELSE IF ( delta_v < sl_r3 .and. sl_r3 > 0.0 ) THEN
-
-                         DO is = n-1, psi, -1
-                            IF ( particles(is)%radius < particles(n)%radius    &
-                                 .and. sl_r3 > 0.0 ) THEN
-                                 particles(is)%weight_factor =                 &
-                                               ( ( particles(is)%weight_factor &
-                                               * ( particles(is)%radius**3 ) ) &
-                                               - ( delta_v                     &
-                                               * particles(is)%weight_factor   &
-                                               * ( particles(is)%radius**3 )   &
-                                               / sl_r3 ) )                     &
-                                               / ( particles(is)%radius**3 )
-
-                               IF (particles(is)%weight_factor < 0.0) THEN
-                                  WRITE( message_string, * ) 'negative ',      &
-                                                     'weighting factor: ',     &
-                                                     particles(is)%weight_factor
-                                  CALL message( 'advec_particles', '', 2, 2,   &
-                                                -1, 6, 1 )
-                               ENDIF
-                            ENDIF
-                         ENDDO
-                      ENDIF
-
-                      particles(n)%radius = particles(n)%radius + delta_r
-                      ql_vp(k,j,i) = ql_vp(k,j,i) + particles(n)%weight_factor &
-                                      *( particles(n)%radius**3 )
-                   ENDDO
-
-                   ql_vp(k,j,i) = ql_vp(k,j,i) + particles(psi)%weight_factor  &
-                                  *( particles(psi)%radius**3 )
-
-                ELSE IF ( prt_count(k,j,i) == 1 )  THEN
-                   psi = prt_start_index(k,j,i)
-                   ql_vp(k,j,i) =  particles(psi)%weight_factor                &
-                                  *( particles(psi)%radius**3 )
-                ENDIF
-!
-!--            Check if condensation of LWC was conserved 
-!--            during collision process
-                IF (ql_v(k,j,i) /= 0.0 ) THEN
-                   IF (ql_vp(k,j,i)/ql_v(k,j,i) >= 1.00001 .or.                &
-                       ql_vp(k,j,i)/ql_v(k,j,i) <= 0.99999  ) THEN
-                      WRITE( message_string, * ) 'LWC is not conserved during',&
-                                                 ' collision! ',               &
-                                                 'LWC after condensation: ',   &
-                                                 ql_v(k,j,i),                  &
-                                                 ' LWC after collision: ',     &
-                                                 ql_vp(k,j,i)
-                      CALL message( 'advec_particles', '', 2, 2, -1, 6, 1 )
-                   ENDIF
-                ENDIF
-
-             ENDDO
-          ENDDO
-       ENDDO
-
-       ENDIF
+       ENDIF   ! collision handling
 
        CALL cpu_log( log_point_s(43), 'advec_part_coll', 'stop' )
 
-    ENDIF
+    ENDIF   ! cloud droplet handling
 
 
@@ -2272,9 +2211,9 @@
              particles(n)%speed_x = particles(n)%speed_x * exp_term + &
                                     u_int * ( 1.0 - exp_term )
-              particles(n)%speed_y = particles(n)%speed_y * exp_term + &
+             particles(n)%speed_y = particles(n)%speed_y * exp_term + &
                                     v_int * ( 1.0 - exp_term )
-              particles(n)%speed_z = particles(n)%speed_z * exp_term +       &
-                              ( w_int - ( 1.0 - dens_ratio ) * g / exp_arg ) &
-                                    * ( 1.0 - exp_term )
+             particles(n)%speed_z = particles(n)%speed_z * exp_term +       &
+                             ( w_int - ( 1.0 - dens_ratio ) * g / exp_arg ) &
+                           * ( 1.0 - exp_term )
           ENDIF
 
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 824)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 825)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! check for curvature_solution_effects
+! check for collision_kernel and curvature_solution_effects
 !
 ! Former revisions:
@@ -709,4 +709,28 @@
     ENDIF
 
+!
+!-- Collision kernels:
+    SELECT CASE ( TRIM( collision_kernel ) )
+
+       CASE ( 'hall' )
+          hall_kernel = .TRUE.
+
+       CASE ( 'palm' )
+          palm_kernel = .TRUE.
+
+       CASE ( 'wang' )
+          wang_kernel = .TRUE.
+
+       CASE ( 'none' )
+
+
+       CASE DEFAULT
+          message_string = 'unknown collision kernel: collision_kernel = "' // &
+                           TRIM( collision_kernel ) // '"'
+          CALL message( 'check_parameters', 'PA0350', 1, 2, 0, 6, 0 )
+
+    END SELECT
+
+
     IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.  &
          TRIM( initializing_actions ) /= 'cyclic_fill' )  THEN
Index: palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_ptseries.f90	(revision 824)
+++ palm/trunk/SOURCE/data_output_ptseries.f90	(revision 825)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! mean particle radius added as output quantity.
+! mean/minimum/maximum particle radius added as output quantity.
 ! particle attributes speed_x|y|z_sgs renamed rvar1|2|3.
 !
@@ -35,4 +35,5 @@
 !------------------------------------------------------------------------------!
 
+    USE cloud_parameters
     USE control_parameters
     USE cpulog
@@ -48,6 +49,5 @@
     INTEGER ::  i, inum, j, n
 
-    REAL, DIMENSION(0:number_of_particle_groups,30) ::  pts_value, pts_value_l
-
+    REAL, DIMENSION(:,:), ALLOCATABLE ::  pts_value, pts_value_l
 
 
@@ -70,5 +70,9 @@
     ENDIF
 
+    ALLOCATE( pts_value(0:number_of_particle_groups,dopts_num), &
+              pts_value_l(0:number_of_particle_groups,dopts_num) )
+
     pts_value_l = 0.0
+    pts_value_l(:,16) = 9999999.9    ! for calculation of minimum radius
 
 !
@@ -88,7 +92,9 @@
        pts_value_l(0,7)  = pts_value_l(0,7) + particles(n)%speed_y     ! mean v
        pts_value_l(0,8)  = pts_value_l(0,8) + particles(n)%speed_z     ! mean w
-       pts_value_l(0,9)  = pts_value_l(0,9) + particles(n)%rvar1     ! mean sgsu
-       pts_value_l(0,10) = pts_value_l(0,10) + particles(n)%rvar2    ! mean sgsv
-       pts_value_l(0,11) = pts_value_l(0,11) + particles(n)%rvar3    ! mean sgsw
+       IF ( .NOT. curvature_solution_effects )  THEN
+          pts_value_l(0,9)  = pts_value_l(0,9) + particles(n)%rvar1  ! mean sgsu
+          pts_value_l(0,10) = pts_value_l(0,10) + particles(n)%rvar2 ! mean sgsv
+          pts_value_l(0,11) = pts_value_l(0,11) + particles(n)%rvar3 ! mean sgsw
+       ENDIF
        IF ( particles(n)%speed_z > 0.0 )  THEN
           pts_value_l(0,12) = pts_value_l(0,12) + 1.0  ! # of upward moving prts
@@ -99,7 +105,9 @@
                                             particles(n)%speed_z ! mean w down
        ENDIF
-       pts_value_l(0,15) = pts_value_l(0,15) + particles(n)%radius
-       pts_value_l(0,16) = number_of_particles
-       pts_value_l(0,17) = number_of_particles
+       pts_value_l(0,15) = pts_value_l(0,15) + particles(n)%radius ! mean rad
+       pts_value_l(0,16) = MIN( pts_value_l(0,16), particles(n)%radius ) ! minrad
+       pts_value_l(0,17) = MAX( pts_value_l(0,17), particles(n)%radius ) ! maxrad
+       pts_value_l(0,18) = number_of_particles
+       pts_value_l(0,19) = number_of_particles
 
 !
@@ -119,7 +127,9 @@
           pts_value_l(j,7)  = pts_value_l(j,7)  + particles(n)%speed_y
           pts_value_l(j,8)  = pts_value_l(j,8)  + particles(n)%speed_z
-          pts_value_l(j,9)  = pts_value_l(j,9)  + particles(n)%rvar1
-          pts_value_l(j,10) = pts_value_l(j,10) + particles(n)%rvar2
-          pts_value_l(j,11) = pts_value_l(j,11) + particles(n)%rvar3
+          IF ( .NOT. curvature_solution_effects )  THEN
+             pts_value_l(j,9)  = pts_value_l(j,9)  + particles(n)%rvar1
+             pts_value_l(j,10) = pts_value_l(j,10) + particles(n)%rvar2
+             pts_value_l(j,11) = pts_value_l(j,11) + particles(n)%rvar3
+          ENDIF
           IF ( particles(n)%speed_z > 0.0 )  THEN
              pts_value_l(j,12) = pts_value_l(j,12) + 1.0
@@ -129,6 +139,8 @@
           ENDIF
           pts_value_l(j,15) = pts_value_l(j,15) + particles(n)%radius
-          pts_value_l(j,16) = pts_value_l(j,16) + 1.0
-          pts_value_l(j,17) = pts_value_l(j,17) + 1.0
+          pts_value_l(j,16) = MIN( pts_value(j,16), particles(n)%radius )
+          pts_value_l(j,17) = MAX( pts_value(j,17), particles(n)%radius )
+          pts_value_l(j,18) = pts_value_l(j,18) + 1.0
+          pts_value_l(j,19) = pts_value_l(j,19) + 1.0
 
        ENDIF
@@ -146,15 +158,21 @@
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
     CALL MPI_ALLREDUCE( pts_value_l(0,16), pts_value(0,16), inum, MPI_REAL, &
+                        MPI_MIN, comm2d, ierr )
+    IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
+    CALL MPI_ALLREDUCE( pts_value_l(0,17), pts_value(0,17), inum, MPI_REAL, &
                         MPI_MAX, comm2d, ierr )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( pts_value_l(0,17), pts_value(0,17), inum, MPI_REAL, &
+    CALL MPI_ALLREDUCE( pts_value_l(0,18), pts_value(0,18), inum, MPI_REAL, &
+                        MPI_MAX, comm2d, ierr )
+    IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
+    CALL MPI_ALLREDUCE( pts_value_l(0,19), pts_value(0,19), inum, MPI_REAL, &
                         MPI_MIN, comm2d, ierr )
 #else
-    pts_value(:,1:17) = pts_value_l(:,1:17)
+    pts_value(:,1:19) = pts_value_l(:,1:19)
 #endif
 
 !
-!-- Normalize the above calculated quantities with the total number of
-!-- particles
+!-- Normalize the above calculated quantities (except min/max values) with the
+!-- total number of particles
     IF ( number_of_particle_groups > 1 )  THEN
        inum = number_of_particle_groups
@@ -186,22 +204,24 @@
     DO  n = 1, number_of_particles
 
-       pts_value_l(0,18) = pts_value_l(0,18) + ( particles(n)%x - &
+       pts_value_l(0,20) = pts_value_l(0,20) + ( particles(n)%x - &
                            particles(n)%origin_x - pts_value(0,2) )**2 ! x*2
-       pts_value_l(0,19) = pts_value_l(0,19) + ( particles(n)%y - &
+       pts_value_l(0,21) = pts_value_l(0,21) + ( particles(n)%y - &
                            particles(n)%origin_y - pts_value(0,3) )**2 ! y*2
-       pts_value_l(0,20) = pts_value_l(0,20) + ( particles(n)%z - &
+       pts_value_l(0,22) = pts_value_l(0,22) + ( particles(n)%z - &
                            particles(n)%origin_z - pts_value(0,4) )**2 ! z*2
-       pts_value_l(0,21) = pts_value_l(0,21) + ( particles(n)%speed_x - &
-                                               pts_value(0,6) )**2     ! u*2
-       pts_value_l(0,22) = pts_value_l(0,22) + ( particles(n)%speed_y - &
-                                               pts_value(0,7) )**2     ! v*2
-       pts_value_l(0,23) = pts_value_l(0,23) + ( particles(n)%speed_z - &
-                                               pts_value(0,8) )**2     ! w*2
-       pts_value_l(0,24) = pts_value_l(0,24) + ( particles(n)%rvar1 - &
-                                               pts_value(0,9) )**2     ! u"2
-       pts_value_l(0,25) = pts_value_l(0,25) + ( particles(n)%rvar2 - &
-                                               pts_value(0,10) )**2    ! v"2
-       pts_value_l(0,26) = pts_value_l(0,26) + ( particles(n)%rvar3 - &
-                                               pts_value(0,11) )**2    ! w"2
+       pts_value_l(0,23) = pts_value_l(0,23) + ( particles(n)%speed_x - &
+                                                pts_value(0,6) )**2   ! u*2
+       pts_value_l(0,24) = pts_value_l(0,24) + ( particles(n)%speed_y - &
+                                                 pts_value(0,7) )**2   ! v*2
+       pts_value_l(0,25) = pts_value_l(0,25) + ( particles(n)%speed_z - &
+                                                 pts_value(0,8) )**2   ! w*2
+       IF ( .NOT. curvature_solution_effects )  THEN
+          pts_value_l(0,26) = pts_value_l(0,26) + ( particles(n)%rvar1 - &
+                                                    pts_value(0,9) )**2   ! u"2
+          pts_value_l(0,27) = pts_value_l(0,27) + ( particles(n)%rvar2 - &
+                                                    pts_value(0,10) )**2  ! v"2
+          pts_value_l(0,28) = pts_value_l(0,28) + ( particles(n)%rvar3 - &
+                                                    pts_value(0,11) )**2  ! w"2
+       ENDIF
 !
 !--    Repeat the same for the respective particle group
@@ -209,31 +229,33 @@
           j = particles(n)%group
 
-          pts_value_l(j,18) = pts_value_l(j,18) + ( particles(n)%x - &
+          pts_value_l(j,20) = pts_value_l(j,20) + ( particles(n)%x - &
                               particles(n)%origin_x - pts_value(j,2) )**2
-          pts_value_l(j,19) = pts_value_l(j,19) + ( particles(n)%y - &
+          pts_value_l(j,21) = pts_value_l(j,21) + ( particles(n)%y - &
                               particles(n)%origin_y - pts_value(j,3) )**2
-          pts_value_l(j,20) = pts_value_l(j,20) + ( particles(n)%z - &
+          pts_value_l(j,22) = pts_value_l(j,22) + ( particles(n)%z - &
                               particles(n)%origin_z - pts_value(j,4) )**2
-          pts_value_l(j,21) = pts_value_l(j,21) + ( particles(n)%speed_x - &
-                                                  pts_value(j,6) )**2
-          pts_value_l(j,22) = pts_value_l(j,22) + ( particles(n)%speed_y - &
-                                                  pts_value(j,7) )**2
-          pts_value_l(j,23) = pts_value_l(j,23) + ( particles(n)%speed_z - &
-                                                  pts_value(j,8) )**2
-          pts_value_l(j,24) = pts_value_l(j,24) + ( particles(n)%rvar1 -   &
-                                                  pts_value(j,9) )**2
-          pts_value_l(j,25) = pts_value_l(j,25) + ( particles(n)%rvar2 -   &
-                                                  pts_value(j,10) )**2
-          pts_value_l(j,26) = pts_value_l(j,26) + ( particles(n)%rvar3 -   &
-                                                  pts_value(j,11) )**2
+          pts_value_l(j,23) = pts_value_l(j,23) + ( particles(n)%speed_x - &
+                                                    pts_value(j,6) )**2
+          pts_value_l(j,24) = pts_value_l(j,24) + ( particles(n)%speed_y - &
+                                                    pts_value(j,7) )**2
+          pts_value_l(j,25) = pts_value_l(j,25) + ( particles(n)%speed_z - &
+                                                    pts_value(j,8) )**2
+          IF ( .NOT. curvature_solution_effects )  THEN
+             pts_value_l(j,26) = pts_value_l(j,26) + ( particles(n)%rvar1 - &
+                                                       pts_value(j,9) )**2
+             pts_value_l(j,27) = pts_value_l(j,27) + ( particles(n)%rvar2 - &
+                                                       pts_value(j,10) )**2
+             pts_value_l(j,28) = pts_value_l(j,28) + ( particles(n)%rvar3 - &
+                                                       pts_value(j,11) )**2
+          ENDIF
        ENDIF
 
     ENDDO
 
-    pts_value_l(0,27) = ( number_of_particles - pts_value(0,1) / numprocs )**2
+    pts_value_l(0,29) = ( number_of_particles - pts_value(0,1) / numprocs )**2
                                                  ! variance of particle numbers
     IF ( number_of_particle_groups > 1 )  THEN
        DO  j = 1, number_of_particle_groups
-          pts_value_l(j,27) = ( pts_value_l(j,1) - &
+          pts_value_l(j,29) = ( pts_value_l(j,1) - &
                                 pts_value(j,1) / numprocs )**2
        ENDDO
@@ -246,8 +268,8 @@
 
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( pts_value_l(0,18), pts_value(0,18), inum*10, MPI_REAL, &
+    CALL MPI_ALLREDUCE( pts_value_l(0,20), pts_value(0,20), inum*10, MPI_REAL, &
                         MPI_SUM, comm2d, ierr )
 #else
-    pts_value(:,18:27) = pts_value_l(:,18:27)
+    pts_value(:,20:29) = pts_value_l(:,20:29)
 #endif
 
@@ -264,7 +286,7 @@
 
        IF ( pts_value(j,1) > 0.0 )  THEN
-          pts_value(j,18:26) = pts_value(j,18:26) / pts_value(j,1)
-       ENDIF
-       pts_value(j,27) = pts_value(j,27) / numprocs
+          pts_value(j,20:28) = pts_value(j,20:28) / pts_value(j,1)
+       ENDIF
+       pts_value(j,29) = pts_value(j,29) / numprocs
 
     ENDDO
@@ -286,4 +308,6 @@
 #endif
 
+    DEALLOCATE( pts_value, pts_value_l )
+
     CALL cpu_log( log_point(36), 'data_output_ptseries','stop', 'nobarrier' )
 
Index: palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_e.f90	(revision 824)
+++ palm/trunk/SOURCE/diffusion_e.f90	(revision 825)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! wang_collision_kernel renamed wang_kernel
 !
 ! Former revisions:
@@ -164,5 +164,5 @@
 !--          Store dissipation if needed for calculating the sgs particle
 !--          velocities
-             IF ( use_sgs_for_particles  .OR.  wang_collision_kernel )  THEN
+             IF ( use_sgs_for_particles  .OR.  wang_kernel )  THEN
                 DO  j = nys, nyn
                    DO  k = nzb_s_inner(j,i)+1, nzt
@@ -254,5 +254,5 @@
 !--          Store dissipation if needed for calculating the sgs particle
 !--          velocities
-             IF ( use_sgs_for_particles  .OR.  wang_collision_kernel )  THEN
+             IF ( use_sgs_for_particles  .OR.  wang_kernel )  THEN
                 DO  j = nys, nyn
                    DO  k = nzb_s_inner(j,i)+1, nzt
@@ -268,5 +268,5 @@
 !
 !--    Boundary condition for dissipation
-       IF ( use_sgs_for_particles  .OR.  wang_collision_kernel )  THEN
+       IF ( use_sgs_for_particles  .OR.  wang_kernel )  THEN
           DO  i = nxl, nxr
              DO  j = nys, nyn
@@ -372,5 +372,5 @@
 !
 !--    Store dissipation if needed for calculating the sgs particle velocities
-       IF ( use_sgs_for_particles  .OR.  wang_collision_kernel )  THEN
+       IF ( use_sgs_for_particles  .OR.  wang_kernel )  THEN
           DO  k = nzb_s_inner(j,i)+1, nzt
              diss(k,j,i) = dissipation(k)
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 824)
+++ palm/trunk/SOURCE/header.f90	(revision 825)
@@ -1478,4 +1478,9 @@
        WRITE ( io, 433 )
        IF ( curvature_solution_effects )  WRITE ( io, 434 )
+       IF ( collision_kernel /= 'none' )  THEN
+          WRITE ( io, 435 )  TRIM( collision_kernel )
+       ELSE
+          WRITE ( io, 436 )
+       ENDIF
     ENDIF
 
@@ -1955,4 +1960,6 @@
 434 FORMAT ('    Curvature and solution effecs are considered for growth of', &
                  ' droplets < 1.0E-6 m')
+435 FORMAT ('    Droplet collision is handled by ',A,'-kernel')
+436 FORMAT ('    Droplet collision is switched off')
 450 FORMAT (//' LES / Turbulence quantities:'/ &
               ' ---------------------------'/)
